Loading...
Searching...
No Matches
casacore::PGPlotterInterface Class Referenceabstract
casa package (libcasa_casa) » System_module

More...

`#include <PGPlotterInterface.h>`

## Public Member Functions

virtual | ~PGPlotterInterface ()
virtual Bool | isAttached () const
| True if it is OK to plot to this object.
virtual void | message (const String &text)
| This is not a standard PGPLOT command.
virtual void | resetPlotNumber ()
| This is not a standard PGPLOT command.
virtual Record | curs (Float x, Float y)=0
| This is an emulated standard PGPLOT command.
virtual void | arro (Float x1, Float y1, Float x2, Float y2)=0
| Standard PGPLOT commands.
virtual void | ask (Bool flag)=0
virtual void | bbuf ()=0
virtual void | bin (const Vector< Float > &x, const Vector< Float > &data, Bool center)=0
virtual void | box (const String &xopt, Float xtick, Int nxsub, const String &yopt, Float ytick, Int nysub)=0
virtual void | circ (Float xcent, Float ycent, Float radius)=0
virtual void | conb (const Matrix< Float > &a, const Vector< Float > &c, const Vector< Float > &tr, Float blank)=0
virtual void | conl (const Matrix< Float > &a, Float c, const Vector< Float > &tr, const String &label, Int intval, Int minint)=0
virtual void | cons (const Matrix< Float > &a, const Vector< Float > &c, const Vector< Float > &tr)=0
virtual void | cont (const Matrix< Float > &a, const Vector< Float > &c, Bool nc, const Vector< Float > &tr)=0
virtual void | ctab (const Vector< Float > &l, const Vector< Float > &r, const Vector< Float > &g, const Vector< Float > &b, Float contra, Float bright)=0
virtual void | draw (Float x, Float y)=0
virtual void | ebuf ()=0
virtual void | env (Float xmin, Float xmax, Float ymin, Float ymax, Int just, Int axis)=0
virtual void | eras ()=0
virtual void | errb (Int dir, const Vector< Float > &x, const Vector< Float > &y, const Vector< Float > &e, Float t)=0
virtual void | errx (const Vector< Float > &x1, const Vector< Float > &x2, const Vector< Float > &y, Float t)=0
virtual void | erry (const Vector< Float > &x, const Vector< Float > &y1, const Vector< Float > &y2, Float t)=0
virtual void | gray (const Matrix< Float > &a, Float fg, Float bg, const Vector< Float > &tr)=0
virtual void | hi2d (const Matrix< Float > &data, const Vector< Float > &x, Int ioff, Float bias, Bool center, const Vector< Float > &ylims)=0
virtual void | hist (const Vector< Float > &data, Float datmin, Float datmax, Int nbin, Int pcflag)=0
virtual void | iden ()=0
virtual void | imag (const Matrix< Float > &a, Float a1, Float a2, const Vector< Float > &tr)=0
virtual void | lab (const String &xlbl, const String &ylbl, const String &toplbl)=0
virtual void | ldev ()=0
virtual Vector< Float > | len (Int units, const String &string)=0
virtual void | line (const Vector< Float > &xpts, const Vector< Float > &ypts)=0
virtual void | move (Float x, Float y)=0
virtual void | mtxt (const String &side, Float disp, Float coord, Float fjust, const String &text)=0
virtual String | numb (Int mm, Int pp, Int form)=0
virtual void | page ()=0
virtual void | panl (Int ix, Int iy)=0
virtual void | pap (Float width, Float aspect)=0
virtual void | pixl (const Matrix< Int > &ia, Float x1, Float x2, Float y1, Float y2)=0
virtual void | pnts (const Vector< Float > &x, const Vector< Float > &y, const Vector< Int > symbol)=0
virtual void | poly (const Vector< Float > &xpts, const Vector< Float > &ypts)=0
virtual void | pt (const Vector< Float > &xpts, const Vector< Float > &ypts, Int symbol)=0
virtual void | ptxt (Float x, Float y, Float angle, Float fjust, const String &text)=0
virtual Vector< Float > | qah ()=0
virtual Int | qcf ()=0
virtual Float | qch ()=0
virtual Int | qci ()=0
virtual Vector< Int > | qcir ()=0
virtual Vector< Int > | qcol ()=0
virtual Vector< Float > | qcr (Int ci)=0
virtual Vector< Float > | qcs (Int units)=0
virtual Int | qfs ()=0
virtual Vector< Float > | qhs ()=0
virtual Int | qid ()=0
virtual String | qinf (const String &item)=0
virtual Int | qitf ()=0
virtual Int | qls ()=0
virtual Int | qlw ()=0
virtual Vector< Float > | qpos ()=0
virtual Int | qtbg ()=0
virtual Vector< Float > | qtxt (Float x, Float y, Float angle, Float fjust, const String &text)=0
virtual Vector< Float > | qvp (Int units)=0
virtual Vector< Float > | qvsz (Int units)=0
virtual Vector< Float > | qwin ()=0
virtual void | rect (Float x1, Float x2, Float y1, Float y2)=0
virtual Float | rnd (Float x, Int nsub)=0
virtual Vector< Float > | rnge (Float x1, Float x2)=0
virtual void | sah (Int fs, Float angle, Float vent)=0
virtual void | save ()=0
virtual void | scf (Int font)=0
virtual void | sch (Float size)=0
virtual void | sci (Int ci)=0
virtual void | scir (Int icilo, Int icihi)=0
virtual void | scr (Int ci, Float cr, Float cg, Float cb)=0
virtual void | scrn (Int ci, const String &name)=0
virtual void | sfs (Int fs)=0
virtual void | shls (Int ci, Float ch, Float cl, Float cs)=0
virtual void | shs (Float angle, Float sepn, Float phase)=0
virtual void | sitf (Int itf)=0
virtual void | sls (Int ls)=0
virtual void | slw (Int lw)=0
virtual void | stbg (Int tbci)=0
virtual void | subp (Int nxsub, Int nysub)=0
virtual void | svp (Float xleft, Float xright, Float ybot, Float ytop)=0
virtual void | swin (Float x1, Float x2, Float y1, Float y2)=0
virtual void | tbox (const String &xopt, Float xtick, Int nxsub, const String &yopt, Float ytick, Int nysub)=0
virtual void | text (Float x, Float y, const String &text)=0
virtual void | unsa ()=0
virtual void | updt ()=0
virtual void | vect (const Matrix< Float > &a, const Matrix< Float > &b, Float c, Int nc, const Vector< Float > &tr, Float blank)=0
virtual void | vsiz (Float xleft, Float xright, Float ybot, Float ytop)=0
virtual void | vstd ()=0
virtual void | wedg (const String &side, Float disp, Float width, Float fg, Float bg, const String &label)=0
virtual void | wnad (Float x1, Float x2, Float y1, Float y2)=0

## Detailed Description

Abstract base class for PGPLOT style plotting.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- General familiarity with PGPLOT, especially of the style of the Glish/PGPLOT binding.

### Etymology

PGPlotter for the plotting style, Interface because it is an abstract base class, not a concrete derived class.

### Synopsis

This class represents an interface for plotting to a PGPLOT style plotting interface. In general, the differences between actual PGPLOT and this interface is:

1. The functions related to opening and closing are not implemented, since it is assumed the derived class constructor/destructor will handle this.
2. The leading "pg" is removed from the name since by being in a class there are no namespace issues.
3. Casacore array classes are used in place of raw pointers. This also obviates the need for passing in array dimensions. Similarly the subregion arguments (I1, I2, J1, J2) are left out since the array classes have their own subsectioning methods.
4. Output values are returned from the function

The rules are basically the same as for the Glish/PGPLOT binding, and thus the individual routines are not documented here.

### Example

void plotFunction(const PGPlotterInterface &plotter) {
// plot y = x*x
Vector<Float> x(100), y(100);
indgen(x);
y = x*x;
plotter.env(0, 100, 0, 100*100, 0, 0);
plotter.line(x, y);
}
casacore::PGPlotterInterface
Definition PGPlotterInterface.h:100
casacore::PGPlotterInterface::line
virtual void line(const Vector< Float > &xpts, const Vector< Float > &ypts)=0
casacore::PGPlotterInterface::env
virtual void env(Float xmin, Float xmax, Float ymin, Float ymax, Int just, Int axis)=0
casacore::Vector
Definition Vector.h:82
casacore::indgen
void indgen(TableVector< T > &tv, T start, T inc)
Definition TabVecMath.h:398

### Motivation

General plotting interface for programmers, while allowing the location and form of the plot to vary.

### To Do

- Add the missing PGPLOT functions.
- Emulate band as well as curs?

Definition at line 99 of file PGPlotterInterface.h.

## Constructor & Destructor Documentation

## ~PGPlotterInterface()

virtual casacore::PGPlotterInterface::~PGPlotterInterface | ( |  | ) |

virtual

## Member Function Documentation

## arro()

virtual void casacore::PGPlotterInterface::arro | ( | Float | x1,
|  | Float | y1,
|  | Float | x2,
|  | Float | y2 )

pure virtual

Standard PGPLOT commands.

Documentation for the individual commands can be found in the Glish manual and in the standard PGPLOT documentation which may be found at http://astro.caltech.edu/~tjp/pgplot/. The Glish/PGPLOT documentation is preferred since this interface follows it exactly (e.g. the array sizes are inferred both here and in Glish, whereas they must be passed into standard PGPLOT).

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## ask()

virtual void casacore::PGPlotterInterface::ask | ( | Bool | flag | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## bbuf()

virtual void casacore::PGPlotterInterface::bbuf | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## bin()

virtual void casacore::PGPlotterInterface::bin | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | data,
|  | Bool | center )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## box()

virtual void casacore::PGPlotterInterface::box | ( | const String & | xopt,
|  | Float | xtick,
|  | Int | nxsub,
|  | const String & | yopt,
|  | Float | ytick,
|  | Int | nysub )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## circ()

virtual void casacore::PGPlotterInterface::circ | ( | Float | xcent,
|  | Float | ycent,
|  | Float | radius )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## conb()

virtual void casacore::PGPlotterInterface::conb | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | const Vector< Float > & | tr,
|  | Float | blank )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::blank().

## conl()

virtual void casacore::PGPlotterInterface::conl | ( | const Matrix< Float > & | a,
|  | Float | c,
|  | const Vector< Float > & | tr,
|  | const String & | label,
|  | Int | intval,
|  | Int | minint )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## cons()

virtual void casacore::PGPlotterInterface::cons | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | const Vector< Float > & | tr )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## cont()

virtual void casacore::PGPlotterInterface::cont | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | Bool | nc,
|  | const Vector< Float > & | tr )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## ctab()

virtual void casacore::PGPlotterInterface::ctab | ( | const Vector< Float > & | l,
|  | const Vector< Float > & | r,
|  | const Vector< Float > & | g,
|  | const Vector< Float > & | b,
|  | Float | contra,
|  | Float | bright )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## curs()

virtual Record casacore::PGPlotterInterface::curs | ( | Float | x,
|  | Float | y )

pure virtual

This is an emulated standard PGPLOT command.

It returns a record containing the fields:

[ok=Bool, x=Float, y=Float, ch=String];
If the remote device cannot do cursor feedback, ok==F.
casacore::String
String: the storage and methods of handling collections of characters.
Definition String.h:223
casacore::Float
float Float
Definition aipstype.h:52
casacore::Bool
bool Bool
Define the standard types used by Casacore.
Definition aipstype.h:40

The input x,y values is the "guess" for the location the user will want to pick. On some devices, the cursor will be positioned at (world coordinates) x,y.

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::Record().

## draw()

virtual void casacore::PGPlotterInterface::draw | ( | Float | x,
|  | Float | y )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## ebuf()

virtual void casacore::PGPlotterInterface::ebuf | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## env()

virtual void casacore::PGPlotterInterface::env | ( | Float | xmin,
|  | Float | xmax,
|  | Float | ymin,
|  | Float | ymax,
|  | Int | just,
|  | Int | axis )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## eras()

virtual void casacore::PGPlotterInterface::eras | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## errb()

virtual void casacore::PGPlotterInterface::errb | ( | Int | dir,
|  | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Vector< Float > & | e,
|  | Float | t )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## errx()

virtual void casacore::PGPlotterInterface::errx | ( | const Vector< Float > & | x1,
|  | const Vector< Float > & | x2,
|  | const Vector< Float > & | y,
|  | Float | t )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## erry()

virtual void casacore::PGPlotterInterface::erry | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | y1,
|  | const Vector< Float > & | y2,
|  | Float | t )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## gray()

virtual void casacore::PGPlotterInterface::gray | ( | const Matrix< Float > & | a,
|  | Float | fg,
|  | Float | bg,
|  | const Vector< Float > & | tr )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## hi2d()

virtual void casacore::PGPlotterInterface::hi2d | ( | const Matrix< Float > & | data,
|  | const Vector< Float > & | x,
|  | Int | ioff,
|  | Float | bias,
|  | Bool | center,
|  | const Vector< Float > & | ylims )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## hist()

virtual void casacore::PGPlotterInterface::hist | ( | const Vector< Float > & | data,
|  | Float | datmin,
|  | Float | datmax,
|  | Int | nbin,
|  | Int | pcflag )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## iden()

virtual void casacore::PGPlotterInterface::iden | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## imag()

virtual void casacore::PGPlotterInterface::imag | ( | const Matrix< Float > & | a,
|  | Float | a1,
|  | Float | a2,
|  | const Vector< Float > & | tr )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## isAttached()

virtual Bool casacore::PGPlotterInterface::isAttached | ( |  | ) | const

virtual

True if it is OK to plot to this object.

This method is implemented for devices where you have to worry about devices detaching (e.g., the Glish pgplotter might be dismissed by the user). The default implementation is to always return True.

Reimplemented in casacore::PGPlotter.

## lab()

virtual void casacore::PGPlotterInterface::lab | ( | const String & | xlbl,
|  | const String & | ylbl,
|  | const String & | toplbl )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## ldev()

virtual void casacore::PGPlotterInterface::ldev | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## len()

virtual Vector< Float > casacore::PGPlotterInterface::len | ( | Int | units,
|  | const String & | string )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## line()

virtual void casacore::PGPlotterInterface::line | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## message()

virtual void casacore::PGPlotterInterface::message | ( | const String & | text | ) |

virtual

This is not a standard PGPLOT command.

In the Glish/PGPLOT window, it puts a message in the message line. By default it sends it to the logger. In any event, this is intended for short helpful messages (e.g. saying which keys to press to mark a spectrum).

Reimplemented in casacore::PGPlotter.

References text().

## move()

virtual void casacore::PGPlotterInterface::move | ( | Float | x,
|  | Float | y )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## mtxt()

virtual void casacore::PGPlotterInterface::mtxt | ( | const String & | side,
|  | Float | disp,
|  | Float | coord,
|  | Float | fjust,
|  | const String & | text )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References text().

## numb()

virtual String casacore::PGPlotterInterface::numb | ( | Int | mm,
|  | Int | pp,
|  | Int | form )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## page()

virtual void casacore::PGPlotterInterface::page | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## panl()

virtual void casacore::PGPlotterInterface::panl | ( | Int | ix,
|  | Int | iy )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## pap()

virtual void casacore::PGPlotterInterface::pap | ( | Float | width,
|  | Float | aspect )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## pixl()

virtual void casacore::PGPlotterInterface::pixl | ( | const Matrix< Int > & | ia,
|  | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## pnts()

virtual void casacore::PGPlotterInterface::pnts | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Vector< Int > | symbol )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## poly()

virtual void casacore::PGPlotterInterface::poly | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## pt()

virtual void casacore::PGPlotterInterface::pt | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts,
|  | Int | symbol )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## ptxt()

virtual void casacore::PGPlotterInterface::ptxt | ( | Float | x,
|  | Float | y,
|  | Float | angle,
|  | Float | fjust,
|  | const String & | text )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References text().

## qah()

virtual Vector< Float > casacore::PGPlotterInterface::qah | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qcf()

virtual Int casacore::PGPlotterInterface::qcf | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qch()

virtual Float casacore::PGPlotterInterface::qch | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qci()

virtual Int casacore::PGPlotterInterface::qci | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qcir()

virtual Vector< Int > casacore::PGPlotterInterface::qcir | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qcol()

virtual Vector< Int > casacore::PGPlotterInterface::qcol | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qcr()

virtual Vector< Float > casacore::PGPlotterInterface::qcr | ( | Int | ci | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qcs()

virtual Vector< Float > casacore::PGPlotterInterface::qcs | ( | Int | units | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qfs()

virtual Int casacore::PGPlotterInterface::qfs | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qhs()

virtual Vector< Float > casacore::PGPlotterInterface::qhs | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qid()

virtual Int casacore::PGPlotterInterface::qid | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qinf()

virtual String casacore::PGPlotterInterface::qinf | ( | const String & | item | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qitf()

virtual Int casacore::PGPlotterInterface::qitf | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qls()

virtual Int casacore::PGPlotterInterface::qls | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qlw()

virtual Int casacore::PGPlotterInterface::qlw | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qpos()

virtual Vector< Float > casacore::PGPlotterInterface::qpos | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qtbg()

virtual Int casacore::PGPlotterInterface::qtbg | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qtxt()

virtual Vector< Float > casacore::PGPlotterInterface::qtxt | ( | Float | x,
|  | Float | y,
|  | Float | angle,
|  | Float | fjust,
|  | const String & | text )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References text().

## qvp()

virtual Vector< Float > casacore::PGPlotterInterface::qvp | ( | Int | units | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qvsz()

virtual Vector< Float > casacore::PGPlotterInterface::qvsz | ( | Int | units | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## qwin()

virtual Vector< Float > casacore::PGPlotterInterface::qwin | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## rect()

virtual void casacore::PGPlotterInterface::rect | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## resetPlotNumber()

virtual void casacore::PGPlotterInterface::resetPlotNumber | ( |  | ) |

inline virtual

This is not a standard PGPLOT command.

It is only needed for the PGPlotterGlish class which connects to Glish/PGPLOT window This Glish object (actually a pgplotter/pgplotwidget.g) has an internal counter plot counter which needs to be reset to 0 when the process detaches from the plotter, so that the next plot on the device is the first one again. Without this, the prompting behaviour of the Glish plotter is different from native PGPLOT

Definition at line 125 of file PGPlotterInterface.h.

## rnd()

virtual Float casacore::PGPlotterInterface::rnd | ( | Float | x,
|  | Int | nsub )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## rnge()

virtual Vector< Float > casacore::PGPlotterInterface::rnge | ( | Float | x1,
|  | Float | x2 )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## sah()

virtual void casacore::PGPlotterInterface::sah | ( | Int | fs,
|  | Float | angle,
|  | Float | vent )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## save()

virtual void casacore::PGPlotterInterface::save | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## scf()

virtual void casacore::PGPlotterInterface::scf | ( | Int | font | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## sch()

virtual void casacore::PGPlotterInterface::sch | ( | Float | size | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::size().

## sci()

virtual void casacore::PGPlotterInterface::sci | ( | Int | ci | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## scir()

virtual void casacore::PGPlotterInterface::scir | ( | Int | icilo,
|  | Int | icihi )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## scr()

virtual void casacore::PGPlotterInterface::scr | ( | Int | ci,
|  | Float | cr,
|  | Float | cg,
|  | Float | cb )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## scrn()

virtual void casacore::PGPlotterInterface::scrn | ( | Int | ci,
|  | const String & | name )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::name().

## sfs()

virtual void casacore::PGPlotterInterface::sfs | ( | Int | fs | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## shls()

virtual void casacore::PGPlotterInterface::shls | ( | Int | ci,
|  | Float | ch,
|  | Float | cl,
|  | Float | cs )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## shs()

virtual void casacore::PGPlotterInterface::shs | ( | Float | angle,
|  | Float | sepn,
|  | Float | phase )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::phase().

## sitf()

virtual void casacore::PGPlotterInterface::sitf | ( | Int | itf | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## sls()

virtual void casacore::PGPlotterInterface::sls | ( | Int | ls | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## slw()

virtual void casacore::PGPlotterInterface::slw | ( | Int | lw | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## stbg()

virtual void casacore::PGPlotterInterface::stbg | ( | Int | tbci | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## subp()

virtual void casacore::PGPlotterInterface::subp | ( | Int | nxsub,
|  | Int | nysub )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## svp()

virtual void casacore::PGPlotterInterface::svp | ( | Float | xleft,
|  | Float | xright,
|  | Float | ybot,
|  | Float | ytop )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## swin()

virtual void casacore::PGPlotterInterface::swin | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## tbox()

virtual void casacore::PGPlotterInterface::tbox | ( | const String & | xopt,
|  | Float | xtick,
|  | Int | nxsub,
|  | const String & | yopt,
|  | Float | ytick,
|  | Int | nysub )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## text()

virtual void casacore::PGPlotterInterface::text | ( | Float | x,
|  | Float | y,
|  | const String & | text )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References text().

Referenced by message(), mtxt(), ptxt(), qtxt(), and text().

## unsa()

virtual void casacore::PGPlotterInterface::unsa | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## updt()

virtual void casacore::PGPlotterInterface::updt | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## vect()

virtual void casacore::PGPlotterInterface::vect | ( | const Matrix< Float > & | a,
|  | const Matrix< Float > & | b,
|  | Float | c,
|  | Int | nc,
|  | const Vector< Float > & | tr,
|  | Float | blank )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

References casacore::blank().

## vsiz()

virtual void casacore::PGPlotterInterface::vsiz | ( | Float | xleft,
|  | Float | xright,
|  | Float | ybot,
|  | Float | ytop )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## vstd()

virtual void casacore::PGPlotterInterface::vstd | ( |  | ) |

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## wedg()

virtual void casacore::PGPlotterInterface::wedg | ( | const String & | side,
|  | Float | disp,
|  | Float | width,
|  | Float | fg,
|  | Float | bg,
|  | const String & | label )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

## wnad()

virtual void casacore::PGPlotterInterface::wnad | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

pure virtual

Implemented in casacore::PGPlotter, and casacore::PGPlotterNull.

The documentation for this class was generated from the following file:

- casa/System/PGPlotterInterface.h